### Function

# Vips pipe_read_limit_set

#### Declaration [src]

    void
    vips_pipe_read_limit_set (
      gint64 limit
    )

#### Description [src]

If a source does not support mmap or seek and the source is used with a loader that can only work from memory, then the data will be automatically read into memory to EOF before the loader starts. This can produce high memory use if the descriptor represents a large object.

Use `vips_pipe_read_limit_set()` to limit the size of object that will be read in this way. The default is 1GB.

Set a value of -1 to mean no limit.

See also

`--vips-pipe-read-limit` and the environment variable `VIPS_PIPE_READ_LIMIT`.

#### Parameters

`limit`

  Type: `gint64`

  Maximum number of bytes to buffer from a pipe.